/*****************************************************************************
 * $LastChangedDate: 2008-11-10 19:53:52 -0500 (Mon, 10 Nov 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GAME_DEFS_HH
#define GAME_DEFS_HH 1

namespace game {
namespace defs {

const Milliseconds GAME_TICK_FREQ       = 50;
const Milliseconds MISSILE_TICK_FREQ    = base::defs::DEFAULT_TICK_FREQ;

} // namespace defs
} // namespace game

using namespace game::defs;

#endif // GAME_DEFS_HH
