/*****************************************************************************
 * $LastChangedDate: 2008-12-05 10:58:31 -0500 (Fri, 05 Dec 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Light number assignments.
 * @remarks	These are very program-specific and cross-module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GFX_LIGHT_NUMS_HH
#define GFX_LIGHT_NUMS_HH 1

namespace gfx {
namespace defs {

// Light numbers are PRECIOUS!
const uint LIGHT_NUM_DEFAULT		= 0;
const uint LIGHT_NUM_SKY			= LIGHT_NUM_DEFAULT;
const uint LIGHT_NUM_MODEL			= 1;
const uint LIGHT_NUM_MODEL_CARRIER	= 2;
const uint LIGHT_NUM_MODEL_SR71		= 3;

} // namespace defs
} // namespace gfx

#endif // GFX_LIGHT_NUMS_HH
