/*****************************************************************************
 * $LastChangedDate: 2008-06-24 23:07:05 -0400 (Tue, 24 Jun 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Type signature checking.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef GRAPH_TYPESIG_DEFS_HH
#define GRAPH_TYPESIG_DEFS_HH 1

namespace graph {

enum
{
    TYPESIG_GRAPH    = (uint('g')<<24) | (uint('r')<<16) | (uint('a')<<8) | uint('p'),
    TYPESIG_SUBGRAPH = (uint('s')<<24) | (uint('u')<<16) | (uint('b')<<8) | uint('g'),
    TYPESIG_LIGHT    = (uint('l')<<24) | (uint('i')<<16) | (uint('g')<<8) | uint('h'),
};

} // namespace graph

#endif // GRAPH_TYPESIG_DEFS_HH
#endif // DEBUG
