/*****************************************************************************
 * $LastChangedDate: 2008-05-22 21:47:55 -0400 (Thu, 22 May 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file for compiling Lua/C++ Interface.
 * @remarks module.txt documents how to export new C++ classes to Lua.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef LUABIND_BIND_HH
#define LUABIND_BIND_HH 1

#include "lua_bind/defs.hh"
#include "lua_bind/macros.hh"

#endif // LUABIND_BIND_HH
