/*****************************************************************************
 * $LastChangedDate: 2008-09-20 10:29:31 -0400 (Sat, 20 Sep 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Object definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef OBJECT_DEFS_HH
#define OBJECT_DEFS_HH 1

namespace object {
namespace defs {

const Milliseconds DYNA_TICK_FREQ = base::defs::DEFAULT_TICK_FREQ;  ///< affects frequency of animation, collision-detection

} // namespace defs
} // namespace object

#endif // OBJECT_DEFS_HH
