/*****************************************************************************
 * $LastChangedDate: 2008-05-04 16:23:01 -0400 (Sun, 04 May 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	RGB color constants.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef TYPES_RGBA_COLORS_HH
#define TYPES_RGBA_COLORS_HH 1

namespace types {

// RGB (without A).
#define RGB_BROWN		0.7f,	0.35f,	0.2f
#define RGB_GRAY		0.55f,	0.55f,	0.55f
#define RGB_GREEN		0.05f,	0.9f,	0.05f
#define RGB_DARK_GREEN	0.05f,	0.5f,	0.05f
#define RGB_DARK_GREEN2	0.05f,	0.45f,	0.05f
#define RGB_PURPLE		0.6f,	0.1f,	0.6f
#define RGB_RED			0.8f,	0.1f,	0.1f
#define RGB_BLUE		0.1f,	0.1f,	0.8f
#define RGB_SKY_BLUE    0.468f, 0.684f, 0.922f	// natural
#define RGB_SKY_BLUE2	0.2f,	0.6f,	0.99f	// artificial
#define RGB_SHADOW		0.35f,	0.35f,	0.35f
#define RGB_WHITE		0.95f,	0.95f,	0.95f
#define RGB_YELLOW		1.0f,   1.0f,   0.0f

} // namespace types

#endif // TYPES_RGBA_COLORS_HH
