/*****************************************************************************
 * $LastChangedDate: 2007-12-10 01:59:08 -0500 (Mon, 10 Dec 2007) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	C/C++ standard includes.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef BASE_CC_HH
#define BASE_CC_HH 1

// C standard headers.
#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif
#ifndef _MSC_VER
#include <stdint.h>  // C99 exact-size types
#else
#define NO_STDINT 1
#endif
#include <string.h>

// C++ standard headers.
#include <iostream>
#include <iomanip>
#include <string>
#include <utility>
#include <climits>
#include <cmath>
#include <fstream>
#include <sstream>
#include <vector>
#include <deque>
#include <list>
#include <map>
#include <set>
#include <queue>
#include <algorithm>
using namespace std;

#endif // BASE_CC_HH
