/*****************************************************************************
 * $LastChangedDate: 2008-02-19 15:09:54 -0500 (Tue, 19 Feb 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef COLLISION_DEFS_HH
#define COLLISION_DEFS_HH 1

namespace collision {
namespace defs {

// Collision-detection is bypassed if Dyna moves less than this distance per frame.
const Meter MIN_TRANSLATION_DISTANCE_METERS( 0.01f );

} // namespace defs
} // namespace collision

#endif // COLLISION_DEFS_HH
