-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "FX",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "fx/module.hh"
#include "fx/motion_blur.hh"
using namespace fx;
]],

func_EnableMotionBlur = {
    comments = "FX:EnableMotionBlur( persistence )",
    code = [[
		const fp persistence = POP_FP( L );
		MotionBlur::GetInstance().Enable( persistence );
    ]]
},

func_DisableMotionBlur = {
    comments = "FX:DisableMotionBlur()",
    code = [[
		MotionBlur::GetInstance().Disable();
    ]]
},

}
