/*****************************************************************************
 * $LastChangedDate: 2008-06-08 23:41:02 -0400 (Sun, 08 Jun 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Typesig definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef VIEW_TYPESIG_DEFS_HH
#define VIEW_TYPESIG_DEFS_HH 1

namespace view {

/// Type signatures.
enum
{
	TYPESIG_VIEW            = (uint('v')<<24) | (uint('i')<<16) | (uint('e')<<8) | uint('w'),
	TYPESIG_VIEWPOINT       = (uint('v')<<24) | (uint('w')<<16) | (uint('p')<<8) | uint('t'),
	TYPESIG_CHASE_VIEWPOINT = (uint('c')<<24) | (uint('h')<<16) | (uint('v')<<8) | uint('p'),
};

} // namespace view

#endif // VIEW_TYPESIG_DEFS_HH
#endif // DEBUG
