/*****************************************************************************
 * $LastChangedDate: 2008-05-04 16:23:01 -0400 (Sun, 04 May 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	World global.
 * @remarks	For speed, World is a global, not a singleton.
 *//*
 * LEGAL:   COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef WORLD_GLOBALS_HH
#define WORLD_GLOBALS_HH 1

#define gWorld world::globals.mWorld

namespace world {

////////////////////////////////////////////////////////////////////////////////
/// @brief Globals struct.
///
struct Globals
{
	World	mWorld;
};

#if WORLD_MODULE_CC
Globals globals;
#else
extern Globals globals;
#endif

} // namespace world

#endif // WORLD_GLOBALS_HH
